Bug 585998 - qlandkartegt from Fedora 11 segfaults
qlandkartegt from Fedora 11 segfaults
Status: CLOSED DUPLICATE of bug 498111
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 11:45 EDT by wg
Modified: 2010-05-13 07:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-13 07:07:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace with all neeed debuginfos installed (3.51 KB, text/plain)
2010-04-26 12:06 EDT, Dan Horák
no flags Details

  None (edit)
Description wg 2010-04-26 11:45:52 EDT
Description of problem:

qlandkartegt from the Fedora 11 distribution segfaults:

Version-Release number of selected component (if applicable):

qlandkartegt-0.18.1-1.fc11.i586

How reproducible:

$ qlandkartegt
------------ 4506687.439892 5432922.567629
------------  +proj=tmerc +lat_0=0 +lon_0=12 +k=1 +x_0=4500000 +y_0=0 +ellps=bessel +datum=potsdam +units=m +no_defs +towgs84=606.0,23.0,413.0
Segmentation fault

Steps to Reproduce:
1. # yum install qlandkartegt
2. $ qlandkartegt
3.
  
Actual results:

Segmentation fault

Expected results:

qlandkartegt gui starts up

Additional info:

$ gdb qlandkartegt
GNU gdb (GDB) Fedora (6.8.50.20090302-40.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i586-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Missing separate debuginfos, use: debuginfo-install qlandkartegt-0.18.1-1.fc11.i586
(gdb) run
Starting program: /usr/bin/qlandkartegt 
warning: .dynamic section for "/usr/lib/libproj.so.0" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libXi.so.6" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libXrender.so.1" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libXrandr.so.2" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libXcursor.so.1" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libXinerama.so.1" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libXfixes.so.3" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libfreetype.so.6" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libfontconfig.so.1" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libXext.so.6" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libX11.so.6" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/lib/libz.so.1" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/lib/libpthread.so.0" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/lib/libdl.so.2" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libQtXml.so.4" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/lib/libm.so.6" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libgeos_c.so.1" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libodbc.so.2" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libodbcinst.so.2" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/lib/libexpat.so.1" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libogdi.so.3" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libgeotiff.so.1.2" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libgrass_dig2.so.6.3" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libgrass_linkm.so.6.3" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libgrass_dbmiclient.so.6.3" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libgrass_dbmibase.so.6.3" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libgrass_I.so.6.3" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libgrass_gmath.so.6.3" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libdapserver.so.6" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/librx.so.0" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/lib/libnsl.so.1" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/lib/libgthread-2.0.so.0" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/lib/libncurses.so.5" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/atlas-sse/libatlas.so.3" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
[Thread debugging using libthread_db enabled]
------------ 4506687.439892 5432922.567629
------------  +proj=tmerc +lat_0=0 +lon_0=12 +k=1 +x_0=4500000 +y_0=0 +ellps=bessel +datum=potsdam +units=m +no_defs +towgs84=606.0,23.0,413.0

Program received signal SIGSEGV, Segmentation fault.
0x06f25d2b in ?? () from /usr/lib/libQtGui.so.4
(gdb) where
#0  0x06f25d2b in ?? () from /usr/lib/libQtGui.so.4
#1  0x0119a240 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x0119a601 in ?? () from /lib/libglib-2.0.so.0
#3  0x0119ab13 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x01900527 in link_main_iteration () from /usr/lib/libORBit-2.so.0
#5  0x018e2bce in giop_recv_buffer_get () from /usr/lib/libORBit-2.so.0
#6  0x018e7b7b in ORBit_small_invoke_stub () from /usr/lib/libORBit-2.so.0
#7  0x018e7da6 in ORBit_small_invoke_stub_n () from /usr/lib/libORBit-2.so.0
#8  0x018f499c in ORBit_c_stub_invoke () from /usr/lib/libORBit-2.so.0
#9  0x04d71bde in ConfigServer_ping () from /usr/lib/libgconf-2.so.4
#10 0x04d5676f in gconf_activate_server () from /usr/lib/libgconf-2.so.4
#11 0x04d64d0c in ?? () from /usr/lib/libgconf-2.so.4
#12 0x04d6597b in ?? () from /usr/lib/libgconf-2.so.4
#13 0x04d66074 in gconf_engine_get_default () from /usr/lib/libgconf-2.so.4
#14 0x04d6d838 in gconf_client_get_default () from /usr/lib/libgconf-2.so.4
#15 0x072377e3 in ?? () from /usr/lib/libQtGui.so.4
#16 0x07219515 in QGtkStyle::getGConfBool(QString const&, bool) ()
   from /usr/lib/libQtGui.so.4
#17 0x06efc128 in ?? () from /usr/lib/libQtGui.so.4
#18 0x06e7322a in QApplicationPrivate::construct(_XDisplay*, unsigned long, unsigned long) () from /usr/lib/libQtGui.so.4
#19 0x06e74153 in QApplication::QApplication(int&, char**, int) ()
   from /usr/lib/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
#20 0x0809a4dd in main ()
(gdb)
Comment 1 Dan Horák 2010-04-26 12:06:55 EDT
Created attachment 409226 [details]
backtrace with all neeed debuginfos installed
Comment 2 Dan Horák 2010-04-28 06:02:11 EDT
Switching component to QT for an opinion of its maintainers. This report looks a bit like bug #498111, but the qlandkartegt package has the workaround with an explicit style applied.
Comment 3 Bug Zapper 2010-04-28 08:03:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Dan Horák 2010-05-13 07:07:38 EDT

*** This bug has been marked as a duplicate of bug 498111 ***

Note You need to log in before you can comment on or make changes to this bug.